OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIX.Sprite

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXSprite :: MonadIO m => m Bool
- gl_SGIX_sprite :: Bool
- gl_SPRITE_AXIAL_SGIX :: GLenum
- gl_SPRITE_AXIS_SGIX :: GLenum
- gl_SPRITE_EYE_ALIGNED_SGIX :: GLenum
- gl_SPRITE_MODE_SGIX :: GLenum
- gl_SPRITE_OBJECT_ALIGNED_SGIX :: GLenum
- gl_SPRITE_SGIX :: GLenum
- gl_SPRITE_TRANSLATION_SGIX :: GLenum
- glSpriteParameterfSGIX :: MonadIO m => GLenum -> GLfloat -> m ()
- glSpriteParameterfvSGIX :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glSpriteParameteriSGIX :: MonadIO m => GLenum -> GLint -> m ()
- glSpriteParameterivSGIX :: MonadIO m => GLenum -> Ptr GLint -> m ()

# Extension Support

glGetSGIXSprite :: MonadIO m => m Bool

Is the SGIX_sprite extension supported?

gl_SGIX_sprite :: Bool

Is the SGIX_sprite extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXSprite` in those cases instead.

# Enums

gl_SPRITE_AXIAL_SGIX :: GLenum

gl_SPRITE_AXIS_SGIX :: GLenum

gl_SPRITE_EYE_ALIGNED_SGIX :: GLenum

gl_SPRITE_MODE_SGIX :: GLenum

gl_SPRITE_OBJECT_ALIGNED_SGIX :: GLenum

gl_SPRITE_SGIX :: GLenum

gl_SPRITE_TRANSLATION_SGIX :: GLenum

# Functions

glSpriteParameterfSGIX

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `SpriteParameterNameSGIX`.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

glSpriteParameterfvSGIX

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `SpriteParameterNameSGIX`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

glSpriteParameteriSGIX

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `SpriteParameterNameSGIX`.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

glSpriteParameterivSGIX

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `SpriteParameterNameSGIX`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |